> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addCompanyBankAccount

> 
The `addCompanyBankAccount` API adds bank account details for a company to process payroll.

### What it does:

- Adds company bank account information including account number, routing number, and bank name
- Sets up the funding source for payroll processing and payments

### Note:

- Account type is limited to **savings** or **checking**



## OpenAPI

````yaml post /adminPortal/addCompanyBankAccount
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal/addCompanyBankAccount:
    post:
      tags: []
      summary: addCompanyBankAccount
      description: >-

        The `addCompanyBankAccount` API adds bank account details for a company
        to process payroll.


        ### What it does:


        - Adds company bank account information including account number,
        routing number, and bank name

        - Sets up the funding source for payroll processing and payments


        ### Note:


        - Account type is limited to **savings** or **checking**
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addCompanyBankAccount
                  example: addCompanyBankAccount
                companyFundingSourceEntity:
                  type: object
                  properties:
                    companyId:
                      type: string
                      format: uuid
                    accountNumber:
                      type: string
                      maxLength: 40
                    routingNumber:
                      type: string
                      maxLength: 40
                    bankName:
                      type: string
                      maxLength: 40
                    accountType:
                      type: string
                      maxLength: 40
                      enum:
                        - savings
                        - checking
                    accountName:
                      type: string
                  required:
                    - companyId
                    - accountNumber
                    - routingNumber
                    - bankName
                    - accountName
              required:
                - method
                - companyFundingSourceEntity
            example:
              method: addCompanyBankAccount
              companyFundingSourceEntity:
                companyId: 8A9B7683-8E02-494D-8422-963FD05EE785
                accountNumber: '9889890989'
                routingNumber: '221982389'
                bankName: Chase Bank
                accountType: savings
                accountName: default
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  companyFundingSourceEntity:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - status
                      - message
                required:
                  - companyFundingSourceEntity
              example:
                companyFundingSourceEntity:
                  status: pending
                  message: The Company's bank account has been added successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid CompanyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````